#
# Copyright (c) 1999, 2000 University of Utah and the Flux Group.
# All rights reserved.
# This file is part of Janos.
# 
# Janos is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License, version 2, as
# published by the Free Software Foundation.
# 
# Janos is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details, in the file
# COPYING.  If that file is not present, write to the Free
# Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
# 02111-1307, USA
# 
# The University of Utah and the Flux Group requests users to
# return to flux-dist@cs.utah.edu any improvements that they make.
#

EES = 	null flowtest chantest socktest
ifneq ($(HOST_OS),solaris2.7)
EES +=	pingreply forward # cutpingreply
endif
EES_P =	$(addsuffix _p, $(EES))

ifeq ($(ENABLE_PROFILING),yes)
all: $(EES) all_p
else
all: $(EES)
endif

all_p: $(EES_P)

### Setup the architecture-specific variables

include $(NODEOS_SRCDIR)/arch.mk


### Define some global settings for all EEs

CPPFLAGS = 	$(ARCH_CFLAGS) -I$(NODEOS_SRCDIR)
CFLAGS_WARNINGS = -Wcast-align -Wwrite-strings -Wstrict-prototypes -Winline
#CFLAGS_WARNINGS=-W -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline
CFLAGS += 	-g -Wall $(CPPFLAGS) $(CFLAGS_WARNINGS)

NODEOS_OBJDIR := ../src
NODEOS_LIBS := 		-u main -L$(NODEOS_OBJDIR) -lnodeos
NODEOS_PLIBS := 	-u main -pg -L$(NODEOS_OBJDIR) -lnodeos_p

NODEOS_LIB_DEPS := 	$(NODEOS_OBJDIR)/libnodeos.a
NODEOS_PLIB_DEPS := 	$(NODEOS_OBJDIR)/libnodeos_p.a

### Define the EEs

EE=null
EESRCS=null.c
include $(SRCDIR)/define_env.mk

EE=flowtest
EESRCS=flowtest.c
include $(SRCDIR)/define_env.mk

EE=chantest
EESRCS=chantest.c
include $(SRCDIR)/define_env.mk

EE=pingreply
EESRCS=pingreply.c
include $(SRCDIR)/define_env.mk

EE=socktest
EESRCS=socktest.c
include $(SRCDIR)/define_env.mk

EE=forward
EESRCS=forward.c
include $(SRCDIR)/define_env.mk

EE=ipforward
EESRCS=ipforward.c
include $(SRCDIR)/define_env.mk

EE=cutpingreply
EESRCS=cutpingreply.c
EELDFLAGS=-L$(CLICK_INSTDIR)/lib -lclick
include $(SRCDIR)/define_env.mk

clean:
	$(SILENT_MAKE_INFORM) "Cleaning out *.o *.po *.d and the EEs."
	rm -f core *.d *.core *.o *.po $(EES) $(EES_P) \
	      cutpingreply

depend:
	@echo "WARNING: depend target is deprecated."

distclean: clean
	$(SILENT_MAKE_INFORM) "Scrubbing EE directory."
	rm -f GNUmakefile

install install_p: all
	@echo The example EEs do not get installed.


.PHONY: all all_p
.PHONY: clean distclean
.PHONY: install install_p
