/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Credentials: as of yet ill-defined
 *
 * XXX dealing with resources here may be way off base.
 */
#ifndef _CRED_IMPL_H_
#define _CRED_IMPL_H_

#include <nodeos/impl/ani_resource.h>

struct ani_cred {
	void		*stuff;		/* XXX authentication stuff */
	resource_t	current;	/* resources allotted to this "user" */
	resource_t 	limits;		/* resource limits for this "user" */
};
typedef struct ani_cred ani_cred_t;

/* credential_check operations */
#define CCHECK_FLOW_CREATE	1

/* credential_check returns */
#define CCHECK_OK	0
#define CCHECK_FAIL	1

void ani_cred_init(void);
struct ani_cred *ani_cred_create(void *stuff, resource_t *limits);
void ani_cred_destroy(ani_cred_t *cred);
int ani_cred_check(ani_cred_t *cred, int op, ...);
int ani_cred_resource_alloc(ani_cred_t *cred, resource_t *res); 
int ani_cred_resource_free(ani_cred_t *cred, resource_t *res);
struct ani_cred *ani_cred_current(void);

#endif /* _CRED_IMPL_H_ */
