/*
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#include <oskit/startup.h>
#include <oskit/threads/pthread.h>

#include "os.h"

/*
 * Initialize and probe device drivers.
 */
void
os_init_devices(void)
{
	osenv_process_lock();
	start_devices();
	osenv_process_unlock();
}

#ifdef HAVE_DEVICES
void
start_devices(void)
{
}

#ifdef HAVE_NET
/*
 * Equiv of oskit_linux_init_ethernet
 *
 * Insert individual drivers you want or call oskit_linux_init_ethernet
 * for all of them.
 */
static void
init_net(void)
{
}

/*
 * XXX override startup library.
 *
 * This routine would be pulled in by startup_network_router and the
 * default version would pull in all enet drivers.
 */
void
start_net_devices(void)
{
}

#endif /* HAVE_NET */
#endif /* HAVE_DEVICES */




